Loading...
Searching...
No Matches
Halide::FuseLoopLevel Struct Reference

`#include <Schedule.h>`

## Public Member Functions

| FuseLoopLevel ()
| FuseLoopLevel (const LoopLevel &level, const std::map< std::string, LoopAlignStrategy > &align)

## Public Attributes

LoopLevel | level
std::map< std::string, LoopAlignStrategy > | align
| Contains alignment strategies for the fused dimensions (indexed by the dimension name).

## Detailed Description

Definition at line 304 of file Schedule.h.

## Constructor & Destructor Documentation

## FuseLoopLevel() [1/2]

Halide::FuseLoopLevel::FuseLoopLevel | ( |  | ) |

inline

Definition at line 312 of file Schedule.h.

References level.

## FuseLoopLevel() [2/2]

Halide::FuseLoopLevel::FuseLoopLevel | ( | const LoopLevel & | level,
|  | const std::map< std::string, LoopAlignStrategy > & | align )

inline

Definition at line 315 of file Schedule.h.

References align, and level.

## Member Data Documentation

## level

LoopLevel Halide::FuseLoopLevel::level

Definition at line 305 of file Schedule.h.

Referenced by FuseLoopLevel(), and FuseLoopLevel().

## align

std::map<std::string, LoopAlignStrategy> Halide::FuseLoopLevel::align

Contains alignment strategies for the fused dimensions (indexed by the dimension name).

If not in the map, use the default alignment strategy to align the fused dimension (see LoopAlignStrategy::Auto).

Definition at line 310 of file Schedule.h.

Referenced by FuseLoopLevel().

The documentation for this struct was generated from the following file:

- src/Schedule.h